package com.tencent.mm.plugin.scanner.a;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.ttpic.baseutils.IOUtils;
import com.tencent.ytcommon.BuildConfig;

public class r$a {
    private String country;
    private String fBi;
    private String fQE;
    private String hIa;
    private String hIb;
    private String qaE;
    private String qaF;

    public r$a(String str, String str2, String str3, String str4, String str5, String str6, String str7) {
        AppMethodBeat.i(80886);
        if (str == null) {
            str = BuildConfig.FLAVOR;
        }
        this.qaE = str;
        if (str2 == null) {
            str2 = BuildConfig.FLAVOR;
        }
        this.qaF = str2;
        if (str3 == null) {
            str3 = BuildConfig.FLAVOR;
        }
        this.hIa = str3;
        if (str4 == null) {
            str4 = BuildConfig.FLAVOR;
        }
        this.fBi = str4;
        if (str5 == null) {
            str5 = BuildConfig.FLAVOR;
        }
        this.fQE = str5;
        if (str6 == null) {
            str6 = BuildConfig.FLAVOR;
        }
        this.hIb = str6;
        if (str7 == null) {
            str7 = BuildConfig.FLAVOR;
        }
        this.country = str7;
        AppMethodBeat.o(80886);
    }

    public final String aDu() {
        String stringBuilder;
        AppMethodBeat.i(80887);
        StringBuilder stringBuilder2;
        if (bo.amT(this.qaE) || bo.amT(this.qaF) || bo.amT(this.hIa) || bo.amT(this.fBi) || bo.amT(this.fQE) || bo.amT(this.country)) {
            stringBuilder2 = new StringBuilder();
            if (this.country.length() > 0) {
                stringBuilder2.append(this.country);
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.fQE.length() > 0) {
                stringBuilder2.append(this.fQE + " ");
            }
            if (this.fBi.length() > 0) {
                stringBuilder2.append(this.fBi);
            }
            if (this.fQE.length() > 0 || this.fBi.length() > 0) {
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.hIa.length() > 0) {
                stringBuilder2.append(this.hIa + " ");
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.qaF.length() > 0) {
                stringBuilder2.append(this.qaF);
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.qaE.length() > 0) {
                stringBuilder2.append(this.qaE);
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.hIb.length() > 0) {
                stringBuilder2.append(this.hIb);
            }
            stringBuilder = stringBuilder2.toString();
            if (stringBuilder.endsWith(IOUtils.LINE_SEPARATOR_UNIX)) {
                stringBuilder = stringBuilder.substring(0, stringBuilder.length() - 1);
            }
            AppMethodBeat.o(80887);
        } else {
            stringBuilder2 = new StringBuilder();
            if (this.qaE.length() > 0) {
                stringBuilder2.append(this.qaE);
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.qaF.length() > 0) {
                stringBuilder2.append(this.qaF);
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.hIa.length() > 0) {
                stringBuilder2.append(this.hIa);
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.fBi.length() > 0) {
                stringBuilder2.append(this.fBi + " ");
            }
            if (this.fQE.length() > 0) {
                stringBuilder2.append(this.fQE + " ");
            }
            if (this.hIb.length() > 0) {
                stringBuilder2.append(this.hIb);
            }
            if (this.fBi.length() > 0 || this.fQE.length() > 0) {
                stringBuilder2.append(IOUtils.LINE_SEPARATOR_UNIX);
            }
            if (this.country.length() > 0) {
                stringBuilder2.append(this.country);
            }
            stringBuilder = stringBuilder2.toString();
            if (stringBuilder.endsWith(IOUtils.LINE_SEPARATOR_UNIX)) {
                stringBuilder = stringBuilder.substring(0, stringBuilder.length() - 1);
            }
            AppMethodBeat.o(80887);
        }
        return stringBuilder;
    }
}
